FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000311FL54. Element, Byte, Record or other APIpublic2014-02-04 10:242014-02-11 13:34
ReporterFalk Reichbott 
Assigned ToMykhailo Moldavskyy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version0.08 
Target Version5.0Fixed in Version5.0 
Summary0000311: Add FLUCUP as customer API
DescriptionTo use the FLUC commands of FLCL in a program we provide the FLUCUP library. This library has one function (conv, xcnv, icnv, info) for each command and only one parameter containing the command string in the corresponing syntax. Means the function accepts the command line syntax and return success or failed.

Addtional we provide functions for help, manpages and syntax for each command and in general for version, about and license information.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000288)
Falk Reichbott (administrator)
2014-02-11 13:34

The FLCL commands of FLUC are now available as simple to use API. It provides some standard function for help, syntax and documentation and for each command a function with 3 parameter.

- Command string: this string contains the syntax for the command
- Output file: this string is the name of the output file, if NULL or empty stderr is used.
- Trace file: this string contains the name of the trace file, if NULL or empty the trace will be disabled

Currently the command below are supported:
- INFO, CONV, XCNV, ICNV

A comand line call of CONV:

flcl conv read.text(file='test.txt.gz') write.record(file='test.txt')

can by called for example:

e=flucconv("read.text(file='test.txt.gz') write.record(file='test.txt')",NULL,NULL)

- Issue History
Date Modified Username Field Change
2014-02-04 10:24 Falk Reichbott New Issue
2014-02-04 10:24 Falk Reichbott Status new => assigned
2014-02-04 10:24 Falk Reichbott Assigned To => Mykhailo Moldavskyy
2014-02-11 13:34 Falk Reichbott Note Added: 0000288
2014-02-11 13:34 Falk Reichbott Status assigned => resolved
2014-02-11 13:34 Falk Reichbott Fixed in Version => 5.0
2014-02-11 13:34 Falk Reichbott Resolution open => fixed
2014-12-02 07:43 Falk Reichbott Category 4. Element, Byte or Record API => 4. Element, Byte, Record or other API


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker